Name:           sugar-journal
Version:        97
Release:        2%{?dist}
Summary:        Journal for Sugar

Group:          Sugar/Activities
License:        GPLv2+
URL:            http://wiki.laptop.org/go/Journal
Source0:        http://dev.laptop.org/pub/sugar/sources/journal-activity/Journal-%{version}.tar.bz2
Patch0:         setup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python sugar-toolkit git-core gettext
Requires:       sugar
BuildArch:      noarch

%description
The Journal activity provides an intuitive interface for viewing projects and
files saved by the XO user. Activities that the user has stopped will show in
the journal view with a timer showing how long ago they were stopped.

%prep
%setup -q -n Journal-%{version}
%patch0 -p1 -b .setup

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{sugaractivitydir}
python setup.py build
python setup.py install $RPM_BUILD_ROOT%{sugaractivitydir}
chmod +x $RPM_BUILD_ROOT%{sugaractivitydir}/Journal.activity/setup.py

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{sugaractivitydir}/Journal.activity/
%doc %{sugaractivitydir}/Journal.activity/NEWS
%{sugaractivitydir}/Journal.activity/activity/
%{sugaractivitydir}/Journal.activity/*.py*
%{sugaractivitydir}/Journal.activity/icons/
#%{sugaractivitydir}/Journal.activity/po/
%dir %{sugaractivitydir}/Journal.activity/locale/
%lang(af) %{sugaractivitydir}/Journal.activity/locale/af/
%lang(am) %{sugaractivitydir}/Journal.activity/locale/am/
%lang(ar) %{sugaractivitydir}/Journal.activity/locale/ar/
%lang(ay) %{sugaractivitydir}/Journal.activity/locale/ay/
%lang(bg) %{sugaractivitydir}/Journal.activity/locale/bg/
%lang(bn) %{sugaractivitydir}/Journal.activity/locale/bn/
%lang(bn_IN) %{sugaractivitydir}/Journal.activity/locale/bn_IN/
%lang(ca) %{sugaractivitydir}/Journal.activity/locale/ca/
%lang(de) %{sugaractivitydir}/Journal.activity/locale/de/
%lang(dz) %{sugaractivitydir}/Journal.activity/locale/dz/
%lang(el) %{sugaractivitydir}/Journal.activity/locale/el/
%lang(en) %{sugaractivitydir}/Journal.activity/locale/en/
%lang(es) %{sugaractivitydir}/Journal.activity/locale/es/
%lang(fa) %{sugaractivitydir}/Journal.activity/locale/fa/
%lang(fa_AF) %{sugaractivitydir}/Journal.activity/locale/fa_AF/
%lang(ff) %{sugaractivitydir}/Journal.activity/locale/ff/
%lang(fr) %{sugaractivitydir}/Journal.activity/locale/fr/
%lang(gu) %{sugaractivitydir}/Journal.activity/locale/gu/
%lang(hi) %{sugaractivitydir}/Journal.activity/locale/hi/
%lang(ht) %{sugaractivitydir}/Journal.activity/locale/ht/
%lang(ig) %{sugaractivitydir}/Journal.activity/locale/ig/
%lang(is) %{sugaractivitydir}/Journal.activity/locale/is/
%lang(it) %{sugaractivitydir}/Journal.activity/locale/it/
%lang(ja) %{sugaractivitydir}/Journal.activity/locale/ja/
%lang(km) %{sugaractivitydir}/Journal.activity/locale/km/
%lang(ko) %{sugaractivitydir}/Journal.activity/locale/ko/
%lang(mk) %{sugaractivitydir}/Journal.activity/locale/mk/
%lang(ml) %{sugaractivitydir}/Journal.activity/locale/ml/
%lang(mn) %{sugaractivitydir}/Journal.activity/locale/mn/
%lang(mr) %{sugaractivitydir}/Journal.activity/locale/mr/
%lang(mvo) %{sugaractivitydir}/Journal.activity/locale/mvo/
%lang(nb) %{sugaractivitydir}/Journal.activity/locale/nb/
%lang(ne) %{sugaractivitydir}/Journal.activity/locale/ne/
%lang(nl) %{sugaractivitydir}/Journal.activity/locale/nl/
%lang(pa) %{sugaractivitydir}/Journal.activity/locale/pa/
%lang(pap) %{sugaractivitydir}/Journal.activity/locale/pap/
%lang(pis) %{sugaractivitydir}/Journal.activity/locale/pis/
%lang(pl) %{sugaractivitydir}/Journal.activity/locale/pl/
%lang(ps) %{sugaractivitydir}/Journal.activity/locale/ps/
%lang(pt) %{sugaractivitydir}/Journal.activity/locale/pt/
%lang(pt_BR) %{sugaractivitydir}/Journal.activity/locale/pt_BR/
%lang(qu) %{sugaractivitydir}/Journal.activity/locale/qu/
%lang(ro) %{sugaractivitydir}/Journal.activity/locale/ro/
%lang(ru) %{sugaractivitydir}/Journal.activity/locale/ru/
%lang(rw) %{sugaractivitydir}/Journal.activity/locale/rw/
%lang(sd) %{sugaractivitydir}/Journal.activity/locale/sd/
%lang(si) %{sugaractivitydir}/Journal.activity/locale/si/
%lang(sl) %{sugaractivitydir}/Journal.activity/locale/sl/
%lang(te) %{sugaractivitydir}/Journal.activity/locale/te/
%lang(th) %{sugaractivitydir}/Journal.activity/locale/th/
%lang(tpi) %{sugaractivitydir}/Journal.activity/locale/tpi/
%lang(tr) %{sugaractivitydir}/Journal.activity/locale/tr/
%lang(ur) %{sugaractivitydir}/Journal.activity/locale/ur/
%lang(vi) %{sugaractivitydir}/Journal.activity/locale/vi/
%lang(yo) %{sugaractivitydir}/Journal.activity/locale/yo/
%lang(zh_CN) %{sugaractivitydir}/Journal.activity/locale/zh_CN/
%lang(zh_TW) %{sugaractivitydir}/Journal.activity/locale/zh_TW/

%changelog
* Thu Aug 07 2008 Marco Pesenti Gritti <mpg@redhat.com> - 97-2
- added languages Norwegian and Slovenian
- translation updates

* Fri Aug 01 2008 Simon Schampijer <simon@laptop.org> - 96-1
- 5907 resume activity when preview is clicked (Daniel Drake)
- Dutch translation update (Myckel)
- Telugu translation update (Satya)
- Spanish translation update (Rafael Ortiz)
- 7600 Discard palette when the jobject changes (Tomeu Vizoso)
- Mongolian translation update (Odon)
- 7718 Fix set title (Simon Schampijer) 

* Wed Jul 23 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 95-1
- 7152 journal slowness: scrolling
- 3958 Journal activity icon's pencil "fools" people into thinking it is a text editor
- 6639 Journal can't resume activity bundles using another activity
- 7441 no visual feedback on Erase
- 7487 Do not decorate the object chooser
- 7482 Object chooser has wrong icon for 'cancel'

* Tue Jul 15 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 94-2.20080715git814c37616b
- New git snapshot

* Tue Jul 08 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 94-1
- New release

* Thu Jul 04 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 93-2
- Upload new tarball

* Thu Jul 03 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 93-1
- New release

* Mon Apr 28 2008 Dennis Gilmore <dennis@ausil.us> - 79-3
- BR git-core gettext

* Fri Apr 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 79-2
- handle locales
- don't need to double package NEWS, just mark it as %%doc
- set +x on setup.py to silence rpmlint

* Fri Apr 04 2008 Dennis Gilmore <dennis@ausil.us> - 79-1
- Initial packaging
